Skip to main content
POST
Create file share access rule

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

file_share_id
string<uuid4>
required

File Share ID

Example:

"bd8c47ee-e565-4e26-8840-b537e6827b08"

Body

application/json
access_mode
enum<string>
required

Access mode

Available options:
ro,
rw
Example:

"ro"

ip_address
required

Source IP or network

Example:

"192.168.1.1"

Response

200 - application/json

OK

access_level
enum<string>
required

Access mode

Available options:
ro,
rw
Example:

"ro"

access_to
required

Source IP or network

Example:

"192.168.1.1"

id
string<uuid4>
required

Access Rule ID

Example:

"4f09d7dd-f1f8-4352-b015-741b2192db47"

state
enum<string>
required

Access Rule state

Available options:
active,
applying,
denying,
error,
new,
queued_to_apply,
queued_to_deny
Example:

"active"